%define pyname anticppcheck
%define thislibdir %{python3_sitelibdir_noarch}/%{pyname}
%define thisdocdir %{_defaultdocdir}/%{name}
%define ax_ver 0.22
%define verlib_ver 0.21
%define sisyphus_ver 0.21

Name: anti-cppcheck
Version: 0.5.1
Release: alt2

Summary: Utility that helps to handle reports produced by cppcheck
License: GPLv3
Group: Other

Packager: Alexey Appolonov <alexey@altlinux.org>

# http://git.altlinux.org/people/alexey/packages/?p=%{name}.git
Source: %{name}-%{version}.tar

BuildArch: noarch

BuildRequires: python3-devel
Requires: python3
Requires: python3-module-ax >= %{ax_ver}
Requires: python3-module-verlib >= %{verlib_ver}
Requires: python3-module-sisyphus >= %{sisyphus_ver}

%description
%{name} can be used to handle reports produced by cppcheck - it can convert
error and warning messages to more generic format and present them as united
list, so a user can then give generic commentaries to multiple messages at once,
and afterwards this tool can join those commentaries with an initial report;
It also can help to analyze given reports and to find specified types of error/
warning messages in those reports.

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

%prep
%setup

%build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{thislibdir}
mkdir -p %{buildroot}%{thisdocdir}
# Executables
cp %{name}-analyze %{buildroot}%{_bindir}
cp %{name}-comment %{buildroot}%{_bindir}
cp %{name}-find %{buildroot}%{_bindir}
# Modules
cp %{pyname}/*.py %{buildroot}%{thislibdir}
# Documentation
cp COPYING %{buildroot}%{thisdocdir}

%files
%{_bindir}/%{name}*
%{thislibdir}
%{thisdocdir}

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

%changelog
* Fri Nov 08 2024 Alexey Appolonov <alexey@altlinux.org> 0.5.1-alt2
- Synchronization with ax v0.22.

* Thu Oct 31 2024 Alexey Appolonov <alexey@altlinux.org> 0.5.1-alt1
- Minor improvements;
- Synchronization with library updates.

* Wed Mar 25 2020 Alexey Appolonov <alexey@altlinux.org> 0.5.0-alt1
- Support of svace reports.

* Fri Mar 20 2020 Alexey Appolonov <alexey@altlinux.org> 0.4.1-alt1
- Fixed parser of error/warning messages.

* Wed Mar 18 2020 Alexey Appolonov <alexey@altlinux.org> 0.4.0-alt1
- All three executive modules (*comment, *analyze and *find) can be used
  on multiple reports at once by utilizing new features of 'machinery' lib,
  'anti-cppcheck' module is no longer needed and has been removed,
  the operation become much more efficient.

* Tue Mar 17 2020 Alexey Appolonov <alexey@altlinux.org> 0.3.0-alt2
- A missing executable has been added;
- Correct and fully working approach to import of submodules.

* Fri Mar 13 2020 Alexey Appolonov <alexey@altlinux.org> 0.3.0-alt1
- Enhanced filter/classifier of messages;
- Analysis features delegated to 'anti-cppcheck-analyze';
- Ability to find specified error/warning messages with 'anti-cppcheck-find';
- Both 'anti-cppcheck-analyze' and 'anti-cppcheck-find' can be used on multiple
  reports by running a single 'anti-cppcheck' command.

* Thu Mar 05 2020 Alexey Appolonov <alexey@altlinux.org> 0.2.0-alt1
- Ability to handle reports generated by herodotos;
- Ability to automatically run cpp-check on multiple reports.

* Fri Feb 28 2020 Alexey Appolonov <alexey@altlinux.org> 0.1.0-alt1
- Initial release.
